Bug 1131823 (CVE-2014-3603)

Summary: CVE-2014-3603 OpenSAML Java: HTTPS Connections Via HTTP Resources Do Not Perform Hostname Verification
Product: [Other] Security Response Reporter: Arun Babu Neelicattu <aneelica>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bdawidow, chazlett, grocha, hfnukal, jpallich, mweiler, security-response-team, theute, vkrizan, weli
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: opensaml 2.6.2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-21 21:13:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1132022, 1132023    
Bug Blocks: 1131830    

Description Arun Babu Neelicattu 2014-08-20 06:46:53 UTC
It was discovered that HttpResource and FileBackedHttpResource implementations in OpenSAML Java and Shibboleth IdP did not enable hostname verification when using TLS connections. Additionaly, OpenSAML Java makes use of Jakarta Commons HttpClient version 3.x, which does not perform verification of the server hostname against the server's X.508 certificate (CVE-2012-5783). This flaw can be exploited by a Man-in-the-middle (MITM) attack, where the attacker can spoof a valid certificate using a specially crafted subject.

Comment 4 Arun Babu Neelicattu 2014-08-20 07:29:20 UTC
Statement:

This issue did not affect the versions of OpenSAML Java as shipped with Red Hat JBoss Data Virtualization 6, Red Hat JBoss Data Grid 6, Red Hat JBoss Enterprise Application Platform 5 and 6, Red Hat JBoss JBoss Operations Network 3, and Red Hat JBoss Portal 6. These products use a version of Jakarta Commons HttpClient that contains a fix for CVE-2012-5783.

Fuse ESB 4 and Fuse Services Framework 2.3 and 2.4 are now in a reduced support phase receiving only Critical impact security fixes. This issue has been rated as having Important security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Fuse Product Life Cycle: https://access.redhat.com/support/policy/updates/fusesource/

Comment 6 Arun Babu Neelicattu 2014-08-20 14:15:11 UTC
Created opensaml-java tracking bugs for this issue:

Affects: fedora-all [bug 1132022]

Comment 8 Arun Babu Neelicattu 2014-09-29 01:17:59 UTC
Victims Record:

https://github.com/victims/victims-cve-db/blob/master/database/java/2014/3603.yaml

Comment 10 Fedora Update System 2015-08-07 13:04:34 UTC
opensaml-java-openws-1.5.5-2.fc21, opensaml-java-2.5.3-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-07 13:05:13 UTC
opensaml-java-2.5.3-9.fc22, opensaml-java-openws-1.5.5-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.